Subject: Re: bug#15418: 24.3.50; RCS annotate broken in vc-rcs.el r114131

From: Richard Copley <[email-masked]>
Date: Tue, 15 Oct 2013 22:09:35 +0100

On 14 October 2013 23:33, Richard Copley <[email-masked]> wrote:

> Making `e' and `@-holes' special variables, in addition to `b', as in your
> patch, does seem to work.
>
> No, it doesn't, sorry. With those changes, `vc-annotate' no longer signals
an error, but it also annotates files wrongly. Some lines are attributed to
version 1 that shouldn't be. Do you see the same for the RCS master files
you have available for testing?

I tried to find the mistake(s) but it's very hard to spot let- and
lambda-bindings intended to be used outside their lexical scope.